require 'rspec/core/rake_task'
require_relative 'src/colour_gradient'
RSpec::Core::RakeTask.new(:spec)

task :test, [:start_colour, :end_colour, :steps] do |t, args| 
  raise ArgumentError if args.count != 3
  colour_gradient = ColourGradient.new(args.start_colour, args.end_colour, args.steps.to_i)
  p colour_gradient.gradients
end

task :default => [:spec]
